(document:surround "/std/frame")
(document:envelop with-translation _ "alterator-users")


(document:envelop with-attributes
                  (password1 password2))

(document:envelop with-container-presentations
                  ((password-box '/root/passwd)))

(define (write-user)
  (woo-catch/message
   (thunk
    (let ((passwd1 (pbox password1))
          (passwd2 (pbox password2))
          (name (name text)))
      (if (string-null? name)
          (or (pair? (woo-list "/users"))
              (woo-throw (_ "You should define a system user")))
          (begin
            (woo-new/constraints "/users"
                                 'name name
                                 'allow_su #t
                                 'passwd1 passwd1
                                 'passwd2 passwd2)

            (woo-new "/autoinstall/users"
                     'name name
                     'allow_su #t
                     'passwd1 passwd1
                     'passwd2 passwd2)))))))

;;;;;;;;;;;;;;;;;;;;;;;;;

(gridbox columns "10;80;10"
	(spacer)
	(groupbox (_ "Create system user")
		(hbox (label (_ "Account name:")) (document:id name (edit "")))
		(groupbox (_ "Password") (document:id pbox (password-box))))
	(spacer))

(frame:on-next (thunk (or (write-user) 'cancel)))

